# StacksMainnet | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- StacksMainnet
  - StacksTestnet
  - StacksMocknet

### Implements

- StacksNetwork

## Index

### Properties

- accountEndpoint
- broadcastEndpoint
- chainId
- contractAbiEndpoint
- coreApiUrl
- readOnlyFunctionCallEndpoint
- transferFeeEstimateEndpoint
- version

### Methods

- getAbiApiUrl
- getAccountApiUrl
- getBlockTimeInfoUrl
- getBroadcastApiUrl
- getInfoUrl
- getNameInfo
- getPoxInfoUrl
- getReadOnlyFunctionCallApiUrl
- getStackerInfoUrl
- getTransferFeeEstimateApiUrl
- isMainnet

## Properties

### accountEndpoint

accountEndpoint: string = "/v2/accounts"

Implementation of StacksNetwork.accountEndpoint

- Defined in packages/network/src/index.ts:47

### broadcastEndpoint

broadcastEndpoint: string = "/v2/transactions"

Implementation of StacksNetwork.broadcastEndpoint

- Defined in packages/network/src/index.ts:45

### chainId

chainId: ChainID = ChainID.Mainnet

Implementation of StacksNetwork.chainId

- Defined in packages/network/src/index.ts:43

### contractAbiEndpoint

contractAbiEndpoint: string = "/v2/contracts/interface"

Implementation of StacksNetwork.contractAbiEndpoint

- Defined in packages/network/src/index.ts:48

### coreApiUrl

coreApiUrl: string = "https://core.blockstack.org"

Implementation of StacksNetwork.coreApiUrl

- Defined in packages/network/src/index.ts:44

### readOnlyFunctionCallEndpoint

readOnlyFunctionCallEndpoint: string = "/v2/contracts/call-read"

Implementation of StacksNetwork.readOnlyFunctionCallEndpoint

- Defined in packages/network/src/index.ts:49

### transferFeeEstimateEndpoint

transferFeeEstimateEndpoint: string = "/v2/fees/transfer"

Implementation of StacksNetwork.transferFeeEstimateEndpoint

- Defined in packages/network/src/index.ts:46

### version

version: TransactionVersion = TransactionVersion.Mainnet

Implementation of StacksNetwork.version

- Defined in packages/network/src/index.ts:42

## Methods

### getAbiApiUrl

- getAbiApiUrl(address: string, contract: string): string

- - Defined in packages/network/src/index.ts:56

  #### Parameters

  - ##### address: string

  - ##### contract: string

  #### Returns string

### getAccountApiUrl

- getAccountApiUrl(address: string): string

- - Defined in packages/network/src/index.ts:54

  #### Parameters

  - ##### address: string

  #### Returns string

### getBlockTimeInfoUrl

- getBlockTimeInfoUrl(): string

- - Defined in packages/network/src/index.ts:67

  #### Returns string

### getBroadcastApiUrl

- getBroadcastApiUrl(): string

- - Defined in packages/network/src/index.ts:52

  #### Returns string

### getInfoUrl

- getInfoUrl(): string

- - Defined in packages/network/src/index.ts:66

  #### Returns string

### getNameInfo

- getNameInfo(fullyQualifiedName: string): Promise<any>

- - Defined in packages/network/src/index.ts:72

  #### Parameters

  - ##### fullyQualifiedName: string

  #### Returns Promise<any>

### getPoxInfoUrl

- getPoxInfoUrl(): string

- - Defined in packages/network/src/index.ts:68

  #### Returns string

### getReadOnlyFunctionCallApiUrl

- getReadOnlyFunctionCallApiUrl(contractAddress: string, contractName: string, functionName: string): string

- - Defined in packages/network/src/index.ts:58

  #### Parameters

  - ##### contractAddress: string

  - ##### contractName: string

  - ##### functionName: string

  #### Returns string

### getStackerInfoUrl

- getStackerInfoUrl(contractAddress: string, contractName: string): string

- - Defined in packages/network/src/index.ts:69

  #### Parameters

  - ##### contractAddress: string

  - ##### contractName: string

  #### Returns string

### getTransferFeeEstimateApiUrl

- getTransferFeeEstimateApiUrl(): string

- - Defined in packages/network/src/index.ts:53

  #### Returns string

### isMainnet

- isMainnet(): boolean

- Implementation of StacksNetwork.isMainnet

  - Defined in packages/network/src/index.ts:51

  #### Returns boolean

Generated using TypeDoc